Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Delete a challenge and reverse every point it moved

DELETE/api/admin/challenges/{id}
Path parameters
idstringrequired
Responses
200

Success

okbooleanrequired
affectedTeamsnumberrequired
netPointMovementnumberrequired
401

Unauthorized

errorstringrequired
404

Not found

errorstringrequired
409

Conflict

Any of:
object
errorstringrequired
failedobject[]required
Show properties
Array of object
idstringrequired
errorstringrequired
object
errorstringrequired
Show properties
Any of:
string
string
string
string
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

errorstringrequired
Try it
Server
Parameters
Request
curl -X DELETE '/api/admin/challenges/string' \
  -H 'Accept: application/json'
Response
{
  "ok": true,
  "affectedTeams": 0,
  "netPointMovement": 0
}

Was this page helpful?